curl --request POST \
--url https://api.onkernel.com/browsers/{id}/process/exec \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"command": "<string>",
"args": [],
"cwd": "<string>",
"env": {},
"as_user": "<string>",
"as_root": false,
"timeout_sec": 123
}
'{
"exit_code": 123,
"stdout_b64": "<string>",
"stderr_b64": "<string>",
"duration_ms": 123
}curl --request POST \
--url https://api.onkernel.com/browsers/{id}/process/exec \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"command": "<string>",
"args": [],
"cwd": "<string>",
"env": {},
"as_user": "<string>",
"as_root": false,
"timeout_sec": 123
}
'{
"exit_code": 123,
"stdout_b64": "<string>",
"stderr_b64": "<string>",
"duration_ms": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Browser session ID
Request to execute a command synchronously.
Executable or shell command to run.
Command arguments.
Working directory (absolute path) to run the command in.
^/.*Environment variables to set for the process.
Show child attributes
Run the process as this user.
Run the process with root privileges.
Maximum execution time in seconds.